
// Original version contributed by Brian Tully. See http://drupal.org/node/1162632
// This version handles multiple occurrences of the form on a page.

$(document).ready(function() {

  // Initial page load: if "Immediate" is pressed, hide the schedule fields
  $("input:radio[class=form-radio]:checked").each(function(index) {
    var wrappers = (index == 0) 
      ? $("#edit-workflow-scheduled-date-wrapper, #edit-workflow-scheduled-hour-wrapper")
      : $("#edit-workflow-scheduled-date-" + index + "-wrapper, #edit-workflow-scheduled-hour-" + index + "-wrapper");

    if ($(this).val() < 1) {
      wrappers.hide();
    }
  });

  // Show/hide schedule fields based on which radio button is clicked.
  $("input:radio[class=form-radio]").each(function(index) {
    var i = Math.floor(index / 2);
    var wrappers = (index <= 1) 
      ? $("#edit-workflow-scheduled-date-wrapper, #edit-workflow-scheduled-hour-wrapper")
      : $("#edit-workflow-scheduled-date-" + i + "-wrapper, #edit-workflow-scheduled-hour-" + i + "-wrapper");

    $(this).click(function() {
      if ($(this).val() < 1) {
        wrappers.hide();
      }
      else {
        wrappers.show();
      }
    });
  });

});
